# Generated by Django 3.1.1 on 2020-09-27 14:57

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import painless.utils.upload.path


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Property',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('picture', models.ImageField(height_field='height_field', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('picture_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Picture Alternate Text')),
                ('width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('sku', models.CharField(editable=False, max_length=7, verbose_name='SKU')),
                ('price', models.CharField(max_length=16, validators=[django.core.validators.RegexValidator('\\d+', message='price must be digit.')], verbose_name='Price')),
                ('is_featured', models.BooleanField(default=False, verbose_name='Is Featured')),
                ('status', models.CharField(choices=[('r', 'Rent'), ('b', 'Buy')], max_length=1, verbose_name='Status')),
                ('kind', models.CharField(choices=[('a', 'apartment'), ('h', 'house'), ('g', 'ground')], max_length=1, verbose_name='Kind')),
                ('area', models.CharField(max_length=12, validators=[django.core.validators.RegexValidator('\\d+x\\d+', message='Please enter area in this format `(100x200)`. TIP: (width, height) ')], verbose_name='Area')),
                ('description', models.TextField(verbose_name='Description')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='properties', to='property.category')),
            ],
            options={
                'verbose_name': 'Property',
                'verbose_name_plural': 'Properties',
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('item', models.ManyToManyField(db_column='property', related_name='tag', to='property.Property', verbose_name='Tag Property')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Gallery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('picture', models.ImageField(height_field='height_field', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('picture_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Picture Alternate Text')),
                ('width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('item', models.ForeignKey(db_column='property', on_delete=django.db.models.deletion.CASCADE, related_name='pictures', to='property.property', verbose_name='Feature')),
            ],
            options={
                'verbose_name': 'Gallery',
                'verbose_name_plural': 'Galleries',
            },
        ),
        migrations.CreateModel(
            name='Feature',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('item', models.ForeignKey(db_column='property', on_delete=django.db.models.deletion.CASCADE, related_name='features', to='property.property', verbose_name='Feature')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Detail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('key', models.CharField(max_length=150, verbose_name='Key')),
                ('value', models.CharField(max_length=150, verbose_name='Key')),
                ('item', models.ForeignKey(db_column='property', on_delete=django.db.models.deletion.CASCADE, related_name='details', to='property.property', verbose_name='Detail')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Amenities',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('key', models.CharField(max_length=150, verbose_name='Key')),
                ('value', models.BooleanField(verbose_name='Value')),
                ('item', models.ForeignKey(db_column='property', on_delete=django.db.models.deletion.CASCADE, related_name='ameneties', to='property.property', verbose_name='Amenities')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
